buying iphone. 3gs and wait for jailbreak or 3g?

Discussion in 'iPhone' started by Junkie2, Feb 15, 2010.

  1. Junkie2 macrumors member

    Joined:
    Nov 10, 2008
    #1
    I'm guessing if i get the 3gs it will include the new baseband so I cannot jailbreak it. Should I get it anyway because the 3g is becoming old technology or wait?

    It's really bugging me... and I'm going to order one tonight. I'm phoneless at college right now.
     
  2. Junkie2 thread starter macrumors member

    Joined:
    Nov 10, 2008
    #3
  3. renewed macrumors 68040

    renewed

    Joined:
    Mar 24, 2009
    Location:
    Bemalte Blumen duften nicht.
    #4
    Oh my bad bro... NOT.

    Dude it jailbreaks an iPhone with 3.1.3... should be obvious from there.
     
  4. jman240 macrumors 6502a

    Joined:
    May 26, 2009
    #5
    Baseband means you can't unlock it.

    OP: if you are using ATT (or a carrier that supports/sells iphone) then you don't need an unlock.
     
  5. pcs are junk macrumors 65816

    Joined:
    Sep 28, 2009
    #6
    renewed's method wont work if you have the new bootrom.
     
  6. Junkie2 thread starter macrumors member

    Joined:
    Nov 10, 2008
  7. pcs are junk macrumors 65816

    Joined:
    Sep 28, 2009
    #8
    order a used 3g on ebay, get it for a cheap price. make sure everything still works though. you can downgrade, jailbreak, use it, whatever with it. just cant unlock it if its already been upgraded to 3.1.3. if you need to use the phone on a carrier other than at&t, get a factory unlocked iphone. it will save you alot of trouble.
     
  8. Tensakun macrumors 6502

    Tensakun

    Joined:
    Jan 21, 2008
    Location:
    Akashi, Japan
    #9
    As a further cautionary note, here's what one commenter added about the method of that article/tutorial (I'm not saying he's right, but he *sounds* like he knows what he's talking about):

    iclarified have screwed up here in a big way. Do NOT use this if you have a newer 3gs (model no. begins with MC). Only Blackra1n or the latest redsn0w will work, not pwnagetool. Newer 3gs owners must stay away from anything with the letters pwn in it - apple fixed the 'pwn' exploit on the newer 3gs and it may not (yet) be possible to get your phone operational again if you attempt to 'pwn' it.


    From other things I've read, the "late model" 3GS (serial# starting with "MC~") is a nasty beast to tame. (I've got one on 3.1.3 now:()

    Anyone with this type of 3GS have any luck with redsnow 0.9.4?
     

Share This Page